## org.eclipse.emf.edit.provider
Class ComposedAdapterFactory.Descriptor.Registry.Impl

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap<java.util.Collection<?>,java.lang.Object>
              org.eclipse.emf.edit.provider.ComposedAdapterFactory.Descriptor.Registry.Impl

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<java.util.Collection<?>,java.lang.Object>, ComposedAdapterFactory.Descriptor.Registry

Enclosing interface:
  ComposedAdapterFactory.Descriptor.Registry

    public static class ComposedAdapterFactory.Descriptor.Registry.Impl

extends java.util.HashMap<java.util.Collection<?>,java.lang.Object>
implements ComposedAdapterFactory.Descriptor.Registry

A simple registry implementation that supports delegation.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.emf.edit.provider.ComposedAdapterFactory.Descriptor.Registry
`ComposedAdapterFactory.Descriptor.Registry.Impl`

Field Summary
`protected ComposedAdapterFactory.Descriptor.Registry` `delegateRegistry` The delegate registry should lookup fail locally.

Fields inherited from interface org.eclipse.emf.edit.provider.ComposedAdapterFactory.Descriptor.Registry
`INSTANCE`

Constructor Summary
`ComposedAdapterFactory.Descriptor.Registry.Impl(ComposedAdapterFactory.Descriptor.Registry delegateRegistry)` Creates an instance.

Method Summary
`protected ComposedAdapterFactory.Descriptor` `delegatedGetDescriptor(java.util.Collection<?> types)` This is called when local lookup fails.
`ComposedAdapterFactory.Descriptor` `getDescriptor(java.util.Collection<?> types)` Returns descriptor that can create a factory for the types.

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, get, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Field Detail

### delegateRegistry

    protected ComposedAdapterFactory.Descriptor.Registry delegateRegistry

  The delegate registry should lookup fail locally.

Constructor Detail

### ComposedAdapterFactory.Descriptor.Registry.Impl

    public ComposedAdapterFactory.Descriptor.Registry.Impl(ComposedAdapterFactory.Descriptor.Registry delegateRegistry)

  Creates an instance.

  Parameters:
    `delegateRegistry` - `null` or a registration that should act as the delegate.

Method Detail

### getDescriptor

    public ComposedAdapterFactory.Descriptor getDescriptor(java.util.Collection<?> types)

  Description copied from interface: `ComposedAdapterFactory.Descriptor.Registry`
  Returns descriptor that can create a factory for the types.

  Specified by:
    `getDescriptor` in interface `ComposedAdapterFactory.Descriptor.Registry`
  Parameters:
    `types` - collections of keys, typically a pair consisting of an EPackage or java.lang.Package, and a java.lang.Class.
  Returns:
    a descriptor that can create a factory for the types.

### delegatedGetDescriptor

    protected ComposedAdapterFactory.Descriptor delegatedGetDescriptor(java.util.Collection<?> types)

  This is called when local lookup fails.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.